Seismic has acquired the assets of Lumo Bodytech, Inc. (the “Company”). The Company has ceased operations, and is no longer producing or selling its products. For more information, please visit here

Device Compatibility and Integrations for Lumo Lift

Follow

Lumo Lift is compatible with Android phones (excluding tablets) running 5.0 or above and with iOS devices running iOS 10.3 or above.

It is recommended to use the latest Lumo Lift App available on the App store, that can run on iPhone SE, 5S or newer models, to get the best experience out of your Lumo Lift.  Please note that the Lumo Lift is not compatible with iPhone 5C.

The latest versions of the Lumo Lift App (Version 4.0 or above) are available only for the devices running iOS 11.3 or above.

Other Integrations

  • Lumo Lift currently doesn't integrate with MyFitnessPal.
  • Lumo Lift offers an optional integration with Apple's HealthKit.  
Was this article helpful?
1 out of 3 found this helpful

Comments

  • Avatar
    Margo A. Rogers

    what if I don't have a compatable android phone?

  • Avatar
    Diosaclo

    Support on MFP says to connect to Partners through the Settings on the Lumo Lift app. But I don't see that option. I would love to use this integration.